#!/bin/sh
echo 'name: HTTP
version: 4000.2.3
id: HTTP-4000.2.3-1fe6b66423da0fa4b2bf8d9b14820d08

license: BSD3
copyright:
maintainer: Ganesh Sittampalam <http@projects.haskell.org>
stability:
homepage: https://github.com/haskell/HTTP
package-url:
synopsis: A library for client-side HTTP
description: The HTTP package supports client-side web programming in Haskell. It lets you set up
             HTTP connections, transmitting requests and processing the responses coming back, all
             from within the comforts of Haskell. It'\''s dependent on the network package to operate,
             but other than that, the implementation is all written in Haskell.
             .
             A basic API for issuing single HTTP requests + receiving responses is provided. On top
             of that, a session-level abstraction is also on offer  (the @BrowserAction@ monad);
             it taking care of handling the management of persistent connections, proxies,
             state (cookies) and authentication credentials required to handle multi-step
             interactions with a web server.
             .
             The representation of the bytes flowing across is extensible via the use of a type class,
             letting you pick the representation of requests and responses that best fits your use.
             Some pre-packaged, common instances are provided for you (@ByteString@, @String@.)
             .
             Here'\''s an example use:
             .
             >
             >    do
             >      rsp <- Network.HTTP.simpleHTTP (getRequest "http://www.haskell.org/")
             >              -- fetch document and return it (as a '\''String'\''.)
             >      fmap (take 100) (getResponseBody rsp)
             >
             >    do
             >      (_, rsp)
             >         <- Network.Browser.browse $ do
             >               setAllowRedirects True -- handle HTTP redirects
             >               request $ getRequest "http://www.haskell.org/"
             >      return (take 100 (rspBody rsp))
category: Network
author: Warrick Gray <warrick.gray@hotmail.com>
exposed: True
exposed-modules: Network.BufferType Network.Stream
                 Network.StreamDebugger Network.StreamSocket Network.TCP
                 Network.HTTP Network.HTTP.Headers Network.HTTP.Base
                 Network.HTTP.Stream Network.HTTP.Auth Network.HTTP.Cookie
                 Network.HTTP.Proxy Network.HTTP.HandleStream Network.Browser
hidden-modules: Network.HTTP.Base64 Network.HTTP.MD5Aux
                Network.HTTP.Utils Paths_HTTP
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/HTTP-4000.2.3
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/HTTP-4000.2.3
              /usr/local/lib
hs-libraries: HSHTTP-4000.2.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.0-0b32f6f98c0297dbb0e5cfc0087bd1f0
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         bytestring-0.9.2.1-e2bcd9910229fcb291a3a8dd6f79f7fe
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
         network-2.3.0.13-61384c729042da4a510c1f2707b5d629
         old-time-1.1.0.0-681e9789e8750358e65a9448b60ba641
         parsec-3.1.2-5d1caf26bfa3bdcc843000f0803b4975
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/HTTP-4000.2.3/html/HTTP.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/HTTP-4000.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
